Opened 10 years ago

Closed 9 years ago

Last modified 8 years ago

#7936 closed defect (Invalid)

MythTV is expiring just recorded recordings instead of older recordings

Reported by: Jonathan Martens <jonathan@…> Owned by: sphery
Priority: minor Milestone: unknown
Component: MythTV - General Version: 0.22-fixes
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Since a few days I noticed I was loosing recordings (so it seemed). Yesterday I seem to have missed another. While grepping through my logfile I discovered that it was recorded, commercial flagged and after a while auto-expired:

[root@mythtv mythtv]# grep -i 'private practice' mythbackend.log
2010-01-18 20:28:02.038 Started recording: Private Practice "Strange Bedfellows": channel 1062 on cardid 2, sourceid 1
2010-01-18 20:28:02.051 scheduler: Started recording: Private Practice "Strange Bedfellows": channel 1062 on cardid 2, sourceid 1
2010-01-18 21:25:02.689 Finished recording Private Practice "Strange Bedfellows": channel 1062
2010-01-18 21:25:02.703 scheduler: Finished recording: Private Practice "Strange Bedfellows": channel 1062
2010-01-18 21:25:02.973 Finished recording Private Practice "Strange Bedfellows": channel 1062
2010-01-18 21:25:04.082 scheduler: Last message repeated 1 times: Finished recording: Private Practice "Strange Bedfellows": channel 1062
2010-01-18 21:32:39.799 JobQueue: Commercial Flagging Starting for Private Practice "Strange Bedfellows" recorded from channel 1062 at Mon Jan 18 20:28:00 2010
2010-01-18 21:32:39.817 commflag: Commercial Flagging Starting: Private Practice "Strange Bedfellows" recorded from channel 1062 at Mon Jan 18 20:28:00 2010
2010-01-18 21:57:03.204 commflag: Commercial Flagging Finished: Private Practice "Strange Bedfellows" recorded from channel 1062 at Mon Jan 18 20:28:00 2010 (3 commercial break(s))
2010-01-18 22:06:39.408 Expiring 2186 MBytes for 1062 @ Mon Jan 18 20:30:00 2010 => Private Practice "Strange Bedfellows"
2010-01-18 22:06:39.784 autoexpire: Expiring Program: Expiring 2186 MBytes for 1062 @ Mon Jan 18 20:30:00 2010 => Private Practice "Strange Bedfellows"
[root@mythtv mythtv]#

I just had a look at my disk capacity and it seemed almost full (99% of over 800Gb), so I can understand why MythTV is auto-expiring, however I am a bit puzzled that a recent recording is expired as I seem to have a lot of other recordings that can be expired (and should have expired first IMHO):

mysql> SELECT COUNT(*) FROM recorded WHERE autoexpire=1 AND preserve=0\G
*************************** 1. row ***************************
count(*): 187

I seem to have a lot of older recordings that are eligible for auto-expiring and fail to understand why the just recorded show was auto-expired before I even had a change to watch it.

mysql> SELECT starttime, endtime FROM recorded WHERE autoexpire=1 AND preserve=0 ORDER BY starttime ASC LIMIT 20;
+---------------------+---------------------+
| starttime           | endtime             |
+---------------------+---------------------+
| 2008-07-13 10:40:00 | 2008-07-13 11:08:00 |
| 2008-07-13 11:00:00 | 2008-07-13 11:13:00 |
| 2008-07-20 10:40:00 | 2008-07-20 11:16:00 |
| 2008-07-20 23:33:00 | 2008-07-21 00:10:00 |
| 2008-07-27 10:39:00 | 2008-07-27 11:14:00 |
| 2008-08-02 20:23:00 | 2008-08-02 22:07:00 |
| 2008-08-02 22:40:00 | 2008-08-03 00:50:00 |
| 2008-08-16 22:45:00 | 2008-08-17 00:45:00 |
| 2008-08-16 23:28:00 | 2008-08-17 06:33:00 |
| 2008-08-17 23:35:00 | 2008-08-18 01:50:00 |
| 2009-01-17 23:28:00 | 2009-01-18 01:40:00 |
| 2009-01-19 20:23:00 | 2009-01-19 21:25:00 |
| 2009-01-26 20:23:00 | 2009-01-26 21:25:00 |
| 2009-01-28 13:58:00 | 2009-01-28 15:46:00 |
| 2009-02-02 20:28:00 | 2009-02-02 21:25:00 |
| 2009-02-09 20:28:00 | 2009-02-09 21:25:00 |
| 2009-02-21 23:28:00 | 2009-02-22 00:25:00 |
| 2009-02-27 22:48:00 | 2009-02-27 23:55:00 |
| 2009-03-19 23:38:00 | 2009-03-20 00:43:00 |
| 2009-04-16 22:48:00 | 2009-04-17 00:02:00 |
+---------------------+---------------------+
20 rows in set (0.00 sec)

If you need more information please let me know. I am willing to provide it as I am a bit disappointed by loosing recordings like this.

I have taken the liberty of setting severity to high and upped priority to major as I think it can not be the intention of MythTV to work like this. Unfortunately I have this problem since a few weeks, but can not pinpoint exactly when it started.

Current versions running (for both mythfrontend and mythbackend):

Please include all output in bug reports.
MythTV Version   : 23074
MythTV Branch    : branches/release-0-22-fixes/mythtv/
Network Protocol : 50
Library API      : 0.22.20091023-1
QT Version       : 4.4.3
Options compiled in:
 linux release using_oss using_alsa using_arts using_jack using_backend using_dvb using_firewire using_frontend using_hdhomerun using_hdpvr using_iptv using_ivtv using_joystick_menu using_libfftw3 using_lirc using_mheg using_opengl_video using_opengl_vsync using_qtwebkit using_v4l using_x11 using_xrandr using_xv using_xvmc using_xvmc_vld using_xvmcw using_bindings_perl using_bindings_python using_opengl using_vdpau using_ffmpeg_threads using_libavc_5_3 using_live using_mheg

These are installed as RPM from ATrpms.

Change History (22)

comment:1 Changed 10 years ago by stuartm

Can you include the priority of those recordings and tell us which expire method you are using? Oldest first, lowest priority, oldest + lowest etc (please doublecheck)

Logs from the backend may be useful. Check that the backend still has write permissions on the old recordings. Are all the recordings on the same drive, are they local to the backend, was the drive or network offline if not?

Auto-expire behaviour is affected by storage group usage too, which storage group balancing mode are you using?

comment:2 Changed 10 years ago by stuartm

Status: newinfoneeded_new

comment:3 in reply to:  1 Changed 10 years ago by Jonathan Martens <jonathan@…>

Replying to stuartm:

Can you include the priority of those recordings and tell us which expire method you are using? Oldest first, lowest priority, oldest + lowest etc (please doublecheck)

mysql> select * from settings where value like '%expire%';
+---------------------------+------+-------------------+
| value                     | data | hostname          |
+---------------------------+------+-------------------+
| AutoExpireMethod          | 2    | NULL              |
| AutoExpireDayPriority     | 3    | NULL              |
| AutoExpireDefault         | 1    | NULL              |
| AutoExpireLiveTVMaxAge    | 1    | NULL              |
| AutoExpireExtraSpace      | 10   | NULL              |
| PlaybackWLAutoExpire      | 0    | mythtv.snetram.nl |
| AutoExpireWatchedPriority | 1    | NULL              |
| AutoExpireInsteadOfDelete | 0    | NULL              |
+---------------------------+------+-------------------+
8 rows in set (0.00 sec)

Logs from the backend may be useful. Check that the backend still has write permissions on the old recordings.

I have tried to view some of the oldest (at random) and they can all be played back, so reading is fine. All recordings in my recordings folder have the correct ownership and permissions:

[root@mythtv recordings]# find -type f -perm 644 | grep 'mpg$' | wc -l
210
[root@mythtv recordings]# ls -la *.mpg | wc -l
210

Are all the recordings on the same drive, are they local to the backend, was the drive or network offline if not?

It is a combined backend/frontend machine to which all recordings are stored local.

Auto-expire behaviour is affected by storage group usage too, which storage group balancing mode are you using?

I have not set this ever IIRC can you hint me where to find this setting? I have only one machine (this combined frontend and backend) and only one storage group for recordings.

mysql> select * from settings where value like '%dir' or value like '%location';
+--------------------------+-------------------------------------+-------------------+
| value                    | data                                | hostname          |
+--------------------------+-------------------------------------+-------------------+
| PIPLocation              | 2                                   | mythtv.snetram.nl |
| MythArchiveTempDir       | /storage/temp/                      | mythtv.snetram.nl |
| MythArchiveShareDir      | /storage/mytharchive/               | mythtv.snetram.nl |
| MythArchiveDVDLocation   | /dev/dvdrw                          | mythtv.snetram.nl |
| DVDDeviceLocation        | /dev/dvd                            | mythtv.snetram.nl |
| VCDDeviceLocation        | /dev/cdrom                          | mythtv.snetram.nl |
| DVDRipLocation           | /storage/mythdvd/temp/              | mythtv.snetram.nl |
| GalleryDir               | /storage/pictures/                  | mythtv.snetram.nl |
| GalleryThumbnailLocation | 0                                   | mythtv.snetram.nl |
| MusicLocation            | /storage/music/                     | mythtv.snetram.nl |
| CDCreateDir              | 1                                   | mythtv.snetram.nl |
| VideoStartupDir          | /storage/videos/                    | mythtv.snetram.nl |
| VideoArtworkDir          | /storage/mythvideo/                 | mythtv.snetram.nl |
| mythvideo.fanartDir      | /root/.mythtv/MythVideo/Fanart      | mythtv.snetram.nl |
| mythvideo.screenshotDir  | /root/.mythtv/MythVideo/Screenshots | mythtv.snetram.nl |
| mythvideo.bannerDir      | /root/.mythtv/MythVideo/Banners     | mythtv.snetram.nl |
| MythMusicLastImportDir   | /                                   | mythtv.snetram.nl |
| mythvideo.TrailersDir    | /root/.mythtv/MythVideo/Trailers    | mythtv.snetram.nl |
+--------------------------+-------------------------------------+-------------------+
18 rows in set (0.00 sec)

comment:4 in reply to:  1 ; Changed 10 years ago by Jonathan Martens <jonathan@…>

Replying to stuartm:

Can you include the priority of those recordings and tell us which expire method you are using?

mysql> SELECT COUNT(*), recpriority FROM recorded WHERE autoexpire=1 AND preserve=0 GROUP BY recpriority ORDER BY starttime ASC; +----------+-------------+ | COUNT(*) | recpriority | +----------+-------------+ | 96 | 2 | | 50 | 1 | | 35 | 0 | +----------+-------------+ 3 rows in set (0.00 sec)

Oldest first, lowest priority, oldest + lowest etc (please doublecheck)

Judging from my setup dialog I am using lowest priority, still there are 35 records with priority 0 of which most of them are older than the recording that was expired:

mysql> SELECT starttime, endtime, recpriority FROM recorded WHERE autoexpire=1 AND preserve=0 AND recpriority=0 ORDER BY starttime ASC;
+---------------------+---------------------+-------------+
| starttime           | endtime             | recpriority |
+---------------------+---------------------+-------------+
| 2009-08-19 19:33:00 | 2009-08-19 20:42:00 |           0 |
| 2009-08-19 22:38:00 | 2009-08-19 23:42:00 |           0 |
| 2009-08-20 18:38:00 | 2009-08-20 19:47:00 |           0 |
| 2009-08-20 19:33:00 | 2009-08-20 20:42:00 |           0 |
| 2009-08-20 21:23:00 | 2009-08-20 22:07:00 |           0 |
| 2009-08-21 18:38:00 | 2009-08-21 19:47:00 |           0 |
| 2009-08-21 19:33:00 | 2009-08-21 20:42:00 |           0 |
| 2009-08-22 21:13:36 | 2009-08-22 21:54:00 |           0 |
| 2009-08-22 23:28:00 | 2009-08-23 06:37:00 |           0 |
| 2009-08-23 23:20:00 | 2009-08-24 00:42:00 |           0 |
| 2009-08-24 21:23:00 | 2009-08-24 22:32:00 |           0 |
| 2009-08-26 22:38:00 | 2009-08-26 23:42:00 |           0 |
| 2009-08-27 21:23:00 | 2009-08-27 22:07:00 |           0 |
| 2009-08-28 22:44:31 | 2009-08-29 01:27:00 |           0 |
| 2009-08-31 20:28:00 | 2009-08-31 21:25:00 |           0 |
| 2009-08-31 21:23:00 | 2009-08-31 22:32:00 |           0 |
| 2009-08-31 21:25:00 | 2009-08-31 22:27:00 |           0 |
| 2009-09-02 22:50:00 | 2009-09-02 23:52:00 |           0 |
| 2009-09-03 21:30:00 | 2009-09-03 22:07:00 |           0 |
| 2009-09-07 20:28:00 | 2009-09-07 21:25:00 |           0 |
| 2009-09-07 20:28:00 | 2009-09-07 21:25:00 |           0 |
| 2009-09-07 21:25:00 | 2009-09-07 22:27:00 |           0 |
| 2009-09-08 21:23:00 | 2009-09-08 22:42:00 |           0 |
| 2009-09-09 22:48:00 | 2009-09-09 23:52:00 |           0 |
| 2009-09-10 20:23:00 | 2009-09-10 21:12:00 |           0 |
| 2009-09-10 21:25:00 | 2009-09-10 22:07:00 |           0 |
| 2009-09-11 21:58:00 | 2009-09-11 23:32:00 |           0 |
| 2009-09-13 21:22:38 | 2009-09-13 22:30:00 |           0 |
| 2009-09-13 22:43:00 | 2009-09-13 23:47:00 |           0 |
| 2009-09-14 20:28:00 | 2009-09-14 21:25:00 |           0 |
| 2009-09-14 21:25:00 | 2009-09-14 22:27:00 |           0 |
| 2009-09-14 21:53:00 | 2009-09-14 22:37:00 |           0 |
| 2009-09-15 23:58:00 | 2009-09-16 01:07:00 |           0 |
| 2010-01-18 21:25:00 | 2010-01-18 22:37:00 |           0 |
| 2010-01-19 13:13:00 | 2010-01-19 14:12:00 |           0 |
+---------------------+---------------------+-------------+
35 rows in set (0.00 sec)

I am not sure if with my current expire setting the age of a recording is taken into account when the priority is the same, but it might have been the expired (and just recorded show) also had a recpriority of 0.

comment:5 in reply to:  4 Changed 10 years ago by Jonathan Martens <jonathan@…>

Replying to Jonathan Martens <jonathan@…>:

Oops for readability:

mysql> SELECT COUNT(*), recpriority FROM recorded WHERE autoexpire=1 AND preserve=0 GROUP BY recpriority ORDER BY starttime ASC;
+----------+-------------+
| COUNT(*) | recpriority |
+----------+-------------+
|       96 |           2 |
|       50 |           1 |
|       35 |           0 |
+----------+-------------+
3 rows in set (0.00 sec)

comment:6 Changed 10 years ago by stuartm

Milestone: unknown0.24

Jonathan, can you start running the backend with -v file and when it happens again post the log for the relevant time period? -v file will print out a lot of auto-expire related debugging messages which should explain why it deleted that recording and not the others.

comment:7 Changed 10 years ago by Jonathan Martens <jonathan@…>

It happened again. I have restarted my backend with "-v file" and will post the logs later on, it seems the system just freed up 10GB before I restarted the backend, so it might take a little for the effect to show up again.

comment:8 in reply to:  7 ; Changed 10 years ago by Jonathan Martens <jonathan@…>

Replying to Jonathan Martens <jonathan@…>:

It happened again. I have restarted my backend with "-v file" and will post the logs later on.

Until now I recently see things like this:

2010-03-17 22:21:35.844 AutoExpire: Adding Programs to 'Do Not Expire' List
2010-03-17 22:21:35.861     1062 @ 2010-03-17T22:00:02 in use by player on mythtv.snetram.nl
2010-03-17 22:21:35.862     1062 @ 2010-03-17T22:00:02 in use by recorder on mythtv.snetram.nl
2010-03-17 22:22:35.933 AutoExpire: CalcParams()
2010-03-17 22:22:36.037 Cardid 2: max bitrate 73828 KB/min
2010-03-17 22:22:36.038 Maximal bitrate of busy encoders is 73828 KB/min
--- GetFilesystemInfos directory list start ---
Dir: mythtv.snetram.nl:/storage/recordings
     Location: Local
     fsID    : 1
     dirID   : 3
     BlkSize : 4096
     TotalKB : 929810844
     UsedKB  : 917277220
     FreeKB  : 12533624

--- GetFilesystemInfos directory list end ---
2010-03-17 22:22:36.044 fsID #1: Total:   886.7 GB   Used:   874.8 GB   Free:    12.0 GB
2010-03-17 22:22:36.046     Cardid 2: max bitrate 9843 Kb/sec, fsID 1 max is now 73828 KB/min
2010-03-17 22:22:36.048   Max of 73828 KB/min for fsID 1 is higher than the existing Max of 0 so we'll use this Max instead
2010-03-17 22:22:36.048 AutoExpire: CalcParams(): Max required Free Space: 11.0 GB w/freq: 15 min
2010-03-17 22:22:36.067 AutoExpire: Adding Programs to 'Do Not Expire' List
2010-03-17 22:22:36.068     1062 @ 2010-03-17T22:00:02 in use by player on mythtv.snetram.nl
2010-03-17 22:22:36.069     1062 @ 2010-03-17T22:00:02 in use by recorder on mythtv.snetram.nl
2010-03-17 22:22:36.070 AutoExpire: ExpireLiveTV(10000)
2010-03-17 22:22:36.070 AutoExpire: FillDBOrdered: Adding Short LiveTV programs in starttime order
2010-03-17 22:22:36.072 AutoExpire: SendDeleteMessages. Nothing to expire.
2010-03-17 22:22:36.073 AutoExpire: Running now!
2010-03-17 22:22:36.076 AutoExpire: ExpireLiveTV(10001)
2010-03-17 22:22:36.077 AutoExpire: FillDBOrdered: Adding LiveTV programs in starttime order
2010-03-17 22:22:36.078 AutoExpire: SendDeleteMessages. Nothing to expire.
2010-03-17 22:22:36.081 AutoExpire: Checking episode count for each recording profile using max episodes
2010-03-17 22:22:36.082 AutoExpire: ExpireRecordings()
2010-03-17 22:22:36.086 Cardid 2: max bitrate 73828 KB/min
2010-03-17 22:22:36.087 Maximal bitrate of busy encoders is 73828 KB/min
--- GetFilesystemInfos directory list start ---
Dir: mythtv.snetram.nl:/storage/recordings
     Location: Local
     fsID    : 1
     dirID   : 3
     BlkSize : 4096
     TotalKB : 929810844
     UsedKB  : 917277220
     FreeKB  : 12533624

--- GetFilesystemInfos directory list end ---
2010-03-17 22:22:36.099 AutoExpire: FillDBOrdered: Adding programs expirable in Lowest Priority First order
2010-03-17 22:22:36.168 AutoExpire:     Adding   1013 @ Wed Mar 17 19:30:02 2010
2010-03-17 22:22:36.169 AutoExpire:     Adding   1013 @ Wed Mar 17 21:19:18 2010
2010-03-17 22:22:36.169 AutoExpire:     Adding   1013 @ Wed Mar 17 21:25:19 2010
2010-03-17 22:22:36.170 AutoExpire:     Adding   1062 @ Wed Mar 17 21:27:52 2010
2010-03-17 22:22:36.170 AutoExpire:     Adding   1062 @ Wed Mar 17 21:32:15 2010
2010-03-17 22:22:36.171 AutoExpire:     Adding   1062 @ Wed Mar 17 21:37:03 2010
2010-03-17 22:22:36.171 AutoExpire:     Skipping 1062 @ Wed Mar 17 22:00:02 2010 because it is in Don't Expire List
2010-03-17 22:22:36.172 AutoExpire:     Adding   1007 @ Wed Aug 19 22:38:00 2009
2010-03-17 22:22:36.173 AutoExpire:     Adding   1007 @ Thu Aug 20 21:23:00 2009
2010-03-17 22:22:36.173 AutoExpire:     Adding   1013 @ Sat Aug 22 21:13:36 2009
2010-03-17 22:22:36.177 AutoExpire:     Adding   1013 @ Sat Aug 22 23:28:00 2009
2010-03-17 22:22:36.178 AutoExpire:     Adding   1013 @ Sun Aug 23 23:20:00 2009
2010-03-17 22:22:36.179 AutoExpire:     Adding   1024 @ Mon Aug 24 21:23:00 2009
2010-03-17 22:22:36.179 AutoExpire:     Adding   1007 @ Wed Aug 26 22:38:00 2009
2010-03-17 22:22:36.180 AutoExpire:     Adding   1007 @ Thu Aug 27 21:23:00 2009
2010-03-17 22:22:36.181 AutoExpire:     Adding   1062 @ Fri Aug 28 22:44:31 2009
2010-03-17 22:22:36.181 AutoExpire:     Adding   1062 @ Mon Aug 31 20:28:00 2009
2010-03-17 22:22:36.182 AutoExpire:     Adding   1024 @ Mon Aug 31 21:23:00 2009
2010-03-17 22:22:36.182 AutoExpire:     Adding   1062 @ Mon Aug 31 21:25:00 2009
2010-03-17 22:22:36.183 AutoExpire:     Adding   1007 @ Wed Sep 2 22:50:00 2009
2010-03-17 22:22:36.184 AutoExpire:     Adding   1007 @ Thu Sep 3 21:30:00 2009
2010-03-17 22:22:36.184 AutoExpire:     Adding   1062 @ Mon Sep 7 20:28:00 2009
2010-03-17 22:22:36.185 AutoExpire:     Adding   1062 @ Mon Sep 7 21:25:00 2009
2010-03-17 22:22:36.186 AutoExpire:     Adding   1007 @ Wed Sep 9 22:48:00 2009
2010-03-17 22:22:36.186 AutoExpire:     Adding   1013 @ Thu Sep 10 20:23:00 2009
2010-03-17 22:22:36.187 AutoExpire:     Adding   1007 @ Thu Sep 10 21:25:00 2009
2010-03-17 22:22:36.188 AutoExpire:     Adding   1093 @ Fri Sep 11 21:58:00 2009
2010-03-17 22:22:36.188 AutoExpire:     Adding   1007 @ Sun Sep 13 21:22:38 2009
2010-03-17 22:22:36.189 AutoExpire:     Adding   1013 @ Sun Sep 13 22:43:00 2009
2010-03-17 22:22:36.190 AutoExpire:     Adding   1062 @ Mon Sep 14 20:28:00 2009
2010-03-17 22:22:36.190 AutoExpire:     Adding   1062 @ Mon Sep 14 21:25:00 2009
2010-03-17 22:22:36.191 AutoExpire:     Adding   1013 @ Mon Sep 14 21:53:00 2009
2010-03-17 22:22:36.192 AutoExpire:     Adding   1095 @ Wed Mar 17 00:18:00 2010
2010-03-17 22:22:36.192 AutoExpire:     Adding   1096 @ Wed Mar 17 13:58:00 2010
2010-03-17 22:22:36.193 AutoExpire:     Adding   1092 @ Sat Jul 25 20:03:00 2009
2010-03-17 22:22:36.194 AutoExpire:     Adding   1068 @ Wed Jul 29 21:58:00 2009
2010-03-17 22:22:36.197 AutoExpire:     Adding   1092 @ Sat Aug 1 20:03:00 2009
2010-03-17 22:22:36.197 AutoExpire:     Adding   1068 @ Wed Aug 5 21:58:00 2009
2010-03-17 22:22:36.198 AutoExpire:     Adding   1092 @ Sat Aug 8 20:03:00 2009
2010-03-17 22:22:36.199 AutoExpire:     Adding   1068 @ Wed Aug 12 21:58:00 2009
2010-03-17 22:22:36.199 AutoExpire:     Adding   1092 @ Sat Aug 15 19:58:00 2009
2010-03-17 22:22:36.200 AutoExpire:     Adding   1092 @ Sat Aug 22 20:03:00 2009
2010-03-17 22:22:36.200 AutoExpire:     Adding   1092 @ Sat Aug 29 20:03:00 2009
2010-03-17 22:22:36.201 AutoExpire:     Adding   1093 @ Thu Oct 8 23:38:00 2009
2010-03-17 22:22:36.201 AutoExpire:     Adding   1093 @ Thu Oct 15 23:40:00 2009
2010-03-17 22:22:36.202 AutoExpire:     Adding   1068 @ Sun Nov 15 23:00:00 2009
2010-03-17 22:22:36.203 AutoExpire:     Adding   1068 @ Tue Nov 17 03:43:00 2009
2010-03-17 22:22:36.203 AutoExpire:     Adding   1093 @ Thu Nov 19 23:28:00 2009
2010-03-17 22:22:36.204 AutoExpire:     Adding   1068 @ Tue Nov 24 03:43:00 2009
2010-03-17 22:22:36.204 AutoExpire:     Adding   1093 @ Thu Nov 26 23:33:00 2009
2010-03-17 22:22:36.205 AutoExpire:     Adding   1068 @ Tue Dec 1 03:43:00 2009
2010-03-17 22:22:36.205 AutoExpire:     Adding   1093 @ Fri Dec 4 00:18:00 2009
2010-03-17 22:22:36.206 AutoExpire:     Adding   1068 @ Sun Dec 6 05:58:00 2009
2010-03-17 22:22:36.206 AutoExpire:     Adding   1068 @ Mon Dec 7 21:58:00 2009
2010-03-17 22:22:36.207 AutoExpire:     Adding   1068 @ Sun Dec 13 05:58:00 2009
2010-03-17 22:22:36.208 AutoExpire:     Adding   1068 @ Tue Dec 15 03:43:00 2009
2010-03-17 22:22:36.208 AutoExpire:     Adding   1093 @ Thu Dec 17 23:38:00 2009
2010-03-17 22:22:36.209 AutoExpire:     Adding   1068 @ Sun Dec 20 05:58:00 2009
2010-03-17 22:22:36.209 AutoExpire:     Adding   1068 @ Mon Dec 21 21:58:00 2009
2010-03-17 22:22:36.210 AutoExpire:     Adding   1068 @ Sun Dec 27 05:58:00 2009
2010-03-17 22:22:36.210 AutoExpire:     Adding   1068 @ Tue Dec 29 03:43:00 2009
2010-03-17 22:22:36.211 AutoExpire:     Adding   1068 @ Tue Jan 5 03:43:00 2010
2010-03-17 22:22:36.212 AutoExpire:     Adding   1068 @ Tue Jan 12 03:43:00 2010
2010-03-17 22:22:36.212 AutoExpire:     Adding   1068 @ Mon Jan 18 21:58:00 2010
2010-03-17 22:22:36.213 AutoExpire:     Adding   1068 @ Mon Jan 25 21:58:00 2010
2010-03-17 22:22:36.213 AutoExpire:     Adding   1068 @ Mon Feb 1 21:58:00 2010
2010-03-17 22:22:36.220 AutoExpire:     Adding   1093 @ Wed Feb 3 21:08:00 2010
2010-03-17 22:22:36.221 AutoExpire:     Adding   1068 @ Tue Feb 9 03:43:00 2010
2010-03-17 22:22:36.221 AutoExpire:     Adding   1068 @ Tue Feb 16 03:43:00 2010
2010-03-17 22:22:36.222 AutoExpire:     Adding   1062 @ Mon Feb 22 20:28:00 2010
2010-03-17 22:22:36.223 AutoExpire:     Adding   1068 @ Tue Feb 23 03:43:00 2010
2010-03-17 22:22:36.223 AutoExpire:     Adding   1068 @ Mon Mar 1 22:58:00 2010
2010-03-17 22:22:36.224 AutoExpire:     Adding   1068 @ Tue Mar 9 22:58:00 2010
2010-03-17 22:22:36.225 AutoExpire:     Adding   1095 @ Sun Mar 14 19:58:00 2010
2010-03-17 22:22:36.226 AutoExpire:     Adding   1068 @ Mon Mar 15 22:58:00 2010
2010-03-17 22:22:36.227 AutoExpire:     Adding   1013 @ Sun Jul 13 10:40:00 2008
2010-03-17 22:22:36.228 AutoExpire:     Adding   1013 @ Sun Jul 13 11:00:00 2008
2010-03-17 22:22:36.229 AutoExpire:     Adding   1013 @ Sun Jul 20 10:40:00 2008
2010-03-17 22:22:36.230 AutoExpire:     Adding   1013 @ Sun Jul 20 23:33:00 2008
2010-03-17 22:22:36.231 AutoExpire:     Adding   1013 @ Sun Jul 27 10:39:00 2008
2010-03-17 22:22:36.232 AutoExpire:     Adding   1006 @ Sat Aug 2 20:23:00 2008
2010-03-17 22:22:36.233 AutoExpire:     Adding   1007 @ Sat Aug 2 22:40:00 2008
2010-03-17 22:22:36.234 AutoExpire:     Adding   1007 @ Sat Aug 16 22:45:00 2008
2010-03-17 22:22:36.235 AutoExpire:     Adding   1013 @ Sat Aug 16 23:28:00 2008
2010-03-17 22:22:36.236 AutoExpire:     Adding   1013 @ Sun Aug 17 23:35:00 2008
2010-03-17 22:22:36.237 AutoExpire:     Adding   1007 @ Sat Jan 17 23:28:00 2009
2010-03-17 22:22:36.238 AutoExpire:     Adding   1013 @ Mon Jan 19 20:23:00 2009
2010-03-17 22:22:36.239 AutoExpire:     Adding   1013 @ Mon Jan 26 20:23:00 2009
2010-03-17 22:22:36.240 AutoExpire:     Adding   1007 @ Wed Jan 28 13:58:00 2009
2010-03-17 22:22:36.240 AutoExpire:     Adding   1013 @ Mon Feb 2 20:28:00 2009
2010-03-17 22:22:36.241 AutoExpire:     Adding   1013 @ Mon Feb 9 20:28:00 2009
2010-03-17 22:22:36.242 AutoExpire:     Adding   1013 @ Sat Feb 21 23:28:00 2009
2010-03-17 22:22:36.243 AutoExpire:     Adding   1007 @ Fri Feb 27 22:48:00 2009
2010-03-17 22:22:36.244 AutoExpire:     Adding   1007 @ Thu Mar 19 23:38:00 2009
2010-03-17 22:22:36.245 AutoExpire:     Adding   1007 @ Thu Apr 16 22:48:00 2009
2010-03-17 22:22:36.246 AutoExpire:     Adding   1007 @ Sun Apr 19 20:19:00 2009
2010-03-17 22:22:36.246 AutoExpire:     Adding   1007 @ Thu Apr 23 22:53:00 2009
2010-03-17 22:22:36.247 AutoExpire:     Adding   1007 @ Thu May 7 22:53:00 2009
2010-03-17 22:22:36.248 AutoExpire:     Adding   1013 @ Sat May 9 20:08:00 2009
2010-03-17 22:22:36.248 AutoExpire:     Adding   1007 @ Thu May 14 22:48:00 2009
2010-03-17 22:22:36.249 AutoExpire:     Adding   1013 @ Sat May 16 20:08:00 2009
2010-03-17 22:22:36.250 AutoExpire:     Adding   1007 @ Sat May 23 14:58:00 2009
2010-03-17 22:22:36.250 AutoExpire:     Adding   1013 @ Sun May 31 22:18:00 2009
2010-03-17 22:22:36.251 AutoExpire:     Adding   1013 @ Mon Jun 1 18:58:00 2009
2010-03-17 22:22:36.252 AutoExpire:     Adding   1013 @ Tue Jun 2 23:08:00 2009
2010-03-17 22:22:36.252 AutoExpire:     Adding   1007 @ Fri Jun 5 22:48:00 2009
2010-03-17 22:22:36.254 AutoExpire:     Adding   1007 @ Sat Jun 6 22:38:00 2009
2010-03-17 22:22:36.259 AutoExpire:     Adding   1013 @ Sun Jun 7 23:03:00 2009
2010-03-17 22:22:36.260 AutoExpire:     Adding   1007 @ Wed Jun 17 23:23:00 2009
2010-03-17 22:22:36.261 AutoExpire:     Adding   1007 @ Fri Jul 3 22:48:00 2009
2010-03-17 22:22:36.261 AutoExpire:     Adding   1007 @ Thu Jul 23 22:38:00 2009
2010-03-17 22:22:36.262 AutoExpire:     Adding   1007 @ Fri Jul 31 22:38:00 2009
2010-03-17 22:22:36.263 AutoExpire:     Adding   1007 @ Thu Aug 6 22:38:00 2009
2010-03-17 22:22:36.264 AutoExpire:     Adding   1007 @ Thu Aug 13 22:38:00 2009
2010-03-17 22:22:36.265 AutoExpire:     Adding   1013 @ Sat Aug 29 20:48:00 2009
2010-03-17 22:22:36.265 AutoExpire:     Adding   1007 @ Thu Sep 17 22:48:00 2009
2010-03-17 22:22:36.266 AutoExpire:     Adding   1007 @ Sat Sep 19 14:45:00 2009
2010-03-17 22:22:36.267 AutoExpire:     Adding   1007 @ Sun Sep 20 21:05:00 2009
2010-03-17 22:22:36.268 AutoExpire:     Adding   1007 @ Sun Sep 27 21:08:00 2009
2010-03-17 22:22:36.269 AutoExpire:     Adding   1007 @ Sun Oct 4 21:10:00 2009
2010-03-17 22:22:36.269 AutoExpire:     Adding   1007 @ Thu Oct 8 22:48:00 2009
2010-03-17 22:22:36.270 AutoExpire:     Adding   1007 @ Sun Oct 11 21:08:00 2009
2010-03-17 22:22:36.271 AutoExpire:     Adding   1007 @ Thu Oct 15 22:48:00 2009
2010-03-17 22:22:36.272 AutoExpire:     Adding   1013 @ Sat Oct 17 23:13:00 2009
2010-03-17 22:22:36.272 AutoExpire:     Adding   1007 @ Sun Oct 18 21:08:00 2009
2010-03-17 22:22:36.275 AutoExpire:     Adding   1007 @ Sun Nov 15 21:08:00 2009
2010-03-17 22:22:36.275 AutoExpire:     Adding   1007 @ Sun Nov 22 21:08:00 2009
2010-03-17 22:22:36.276 AutoExpire:     Adding   1007 @ Tue Nov 24 13:13:00 2009
2010-03-17 22:22:36.277 AutoExpire:     Adding   1007 @ Fri Nov 27 22:48:00 2009
2010-03-17 22:22:36.278 AutoExpire:     Adding   1007 @ Sun Nov 29 21:08:00 2009
2010-03-17 22:22:36.279 AutoExpire:     Adding   1007 @ Sun Dec 6 21:08:00 2009
2010-03-17 22:22:36.279 AutoExpire:     Adding   1007 @ Sun Dec 13 21:08:00 2009
2010-03-17 22:22:36.280 AutoExpire:     Adding   1007 @ Wed Dec 16 23:03:00 2009
2010-03-17 22:22:36.281 AutoExpire:     Adding   1007 @ Sun Dec 20 21:08:00 2009
2010-03-17 22:22:36.281 AutoExpire:     Adding   1013 @ Sat Dec 26 19:28:00 2009
2010-03-17 22:22:36.282 AutoExpire:     Adding   1013 @ Sat Dec 26 20:30:00 2009
2010-03-17 22:22:36.283 AutoExpire:     Adding   1013 @ Sun Dec 27 19:28:00 2009
2010-03-17 22:22:36.284 AutoExpire:     Adding   1092 @ Mon Dec 28 15:53:00 2009
2010-03-17 22:22:36.284 AutoExpire:     Adding   1013 @ Mon Dec 28 19:28:00 2009
2010-03-17 22:22:36.285 AutoExpire:     Adding   1013 @ Tue Dec 29 19:28:00 2009
2010-03-17 22:22:36.286 AutoExpire:     Adding   1007 @ Tue Dec 29 22:38:00 2009
2010-03-17 22:22:36.286 AutoExpire:     Adding   1013 @ Wed Dec 30 19:28:00 2009
2010-03-17 22:22:36.287 AutoExpire:     Adding   1013 @ Thu Dec 31 19:28:00 2009
2010-03-17 22:22:36.288 AutoExpire:     Adding   1092 @ Mon Jan 4 16:58:00 2010
2010-03-17 22:22:36.289 AutoExpire:     Adding   1013 @ Thu Jan 7 20:58:00 2010
2010-03-17 22:22:36.289 AutoExpire:     Adding   1007 @ Sat Jan 9 21:43:00 2010
2010-03-17 22:22:36.290 AutoExpire:     Adding   1007 @ Sun Jan 10 21:08:00 2010
2010-03-17 22:22:36.291 AutoExpire:     Adding   1013 @ Thu Jan 14 21:30:00 2010
2010-03-17 22:22:36.292 AutoExpire:     Adding   1007 @ Sat Jan 16 21:38:00 2010
2010-03-17 22:22:36.293 AutoExpire:     Adding   1007 @ Sun Jan 17 21:08:00 2010
2010-03-17 22:22:36.299 AutoExpire:     Adding   1013 @ Mon Jan 18 20:23:00 2010
2010-03-17 22:22:36.304 AutoExpire:     Adding   1007 @ Wed Jan 20 10:38:00 2010
2010-03-17 22:22:36.304 AutoExpire:     Adding   1013 @ Wed Jan 20 20:23:00 2010
2010-03-17 22:22:36.305 AutoExpire:     Adding   1007 @ Sat Jan 23 21:43:00 2010
2010-03-17 22:22:36.306 AutoExpire:     Adding   1007 @ Sun Jan 24 21:08:00 2010
2010-03-17 22:22:36.306 AutoExpire:     Adding   1013 @ Mon Jan 25 20:23:00 2010
2010-03-17 22:22:36.307 AutoExpire:     Adding   1007 @ Wed Jan 27 10:38:00 2010
2010-03-17 22:22:36.307 AutoExpire:     Adding   1007 @ Wed Jan 27 20:53:00 2010
2010-03-17 22:22:36.308 AutoExpire:     Adding   1007 @ Sat Jan 30 20:28:00 2010
2010-03-17 22:22:36.309 AutoExpire:     Adding   1007 @ Sat Jan 30 21:38:00 2010
2010-03-17 22:22:36.310 AutoExpire:     Adding   1007 @ Sun Jan 31 21:08:00 2010
2010-03-17 22:22:36.310 AutoExpire:     Adding   1013 @ Mon Feb 1 20:23:00 2010
2010-03-17 22:22:36.311 AutoExpire:     Adding   1007 @ Wed Feb 3 20:55:00 2010
2010-03-17 22:22:36.312 AutoExpire:     Adding   1007 @ Thu Feb 4 22:48:00 2010
2010-03-17 22:22:36.313 AutoExpire:     Adding   1007 @ Sat Feb 6 21:43:00 2010
2010-03-17 22:22:36.314 AutoExpire:     Adding   1007 @ Sun Feb 7 21:08:00 2010
2010-03-17 22:22:36.315 AutoExpire:     Adding   1013 @ Mon Feb 8 20:23:00 2010
2010-03-17 22:22:36.316 AutoExpire:     Adding   1007 @ Tue Feb 9 14:48:00 2010
2010-03-17 22:22:36.317 AutoExpire:     Adding   1007 @ Wed Feb 10 20:53:00 2010
2010-03-17 22:22:36.317 AutoExpire:     Adding   1007 @ Wed Feb 10 22:48:00 2010
2010-03-17 22:22:36.318 AutoExpire:     Adding   1007 @ Thu Feb 11 22:48:00 2010
2010-03-17 22:22:36.319 AutoExpire:     Adding   1007 @ Sat Feb 13 10:45:00 2010
2010-03-17 22:22:36.319 AutoExpire:     Adding   1007 @ Sun Feb 14 16:58:00 2010
2010-03-17 22:22:36.320 AutoExpire:     Adding   1007 @ Sun Feb 14 21:08:00 2010
2010-03-17 22:22:36.321 AutoExpire:     Adding   1007 @ Tue Feb 16 14:43:00 2010
2010-03-17 22:22:36.322 AutoExpire:     Adding   1007 @ Wed Feb 17 20:53:00 2010
2010-03-17 22:22:36.323 AutoExpire:     Adding   1007 @ Thu Feb 18 22:48:00 2010
2010-03-17 22:22:36.323 AutoExpire:     Adding   1007 @ Fri Feb 19 22:48:00 2010
2010-03-17 22:22:36.324 AutoExpire:     Adding   1007 @ Sat Feb 20 00:58:00 2010
2010-03-17 22:22:36.325 AutoExpire:     Adding   1013 @ Sat Feb 20 23:23:00 2010
2010-03-17 22:22:36.326 AutoExpire:     Adding   1007 @ Sat Feb 20 23:35:00 2010
2010-03-17 22:22:36.326 AutoExpire:     Adding   1007 @ Sun Feb 21 21:08:00 2010
2010-03-17 22:22:36.327 AutoExpire:     Adding   1013 @ Mon Feb 22 21:15:00 2010
2010-03-17 22:22:36.327 AutoExpire:     Adding   1007 @ Tue Feb 23 14:43:00 2010
2010-03-17 22:22:36.328 AutoExpire:     Adding   1007 @ Wed Feb 24 20:58:00 2010
2010-03-17 22:22:36.329 AutoExpire:     Adding   1007 @ Sun Feb 28 21:08:00 2010
2010-03-17 22:22:36.331 AutoExpire:     Adding   1013 @ Mon Mar 1 21:25:00 2010
2010-03-17 22:22:36.332 AutoExpire:     Adding   1013 @ Thu Mar 4 21:30:00 2010
2010-03-17 22:22:36.333 AutoExpire:     Adding   1007 @ Thu Mar 4 22:48:00 2010
2010-03-17 22:22:36.338 AutoExpire:     Adding   1007 @ Fri Mar 5 22:48:00 2010
2010-03-17 22:22:36.341 AutoExpire:     Adding   1007 @ Sun Mar 7 21:05:01 2010
2010-03-17 22:22:36.342 AutoExpire:     Adding   1013 @ Mon Mar 8 21:25:00 2010
2010-03-17 22:22:36.342 AutoExpire:     Adding   1007 @ Thu Mar 11 20:53:00 2010
2010-03-17 22:22:36.343 AutoExpire:     Adding   1006 @ Fri Mar 12 20:28:00 2010
2010-03-17 22:22:36.349 AutoExpire:     Adding   1007 @ Sun Mar 14 21:08:00 2010
2010-03-17 22:22:36.351 fsID #1: Total:   886.7 GB   Used:   874.8 GB   Free:    12.0 GB
2010-03-17 22:22:36.352 AutoExpire: SendDeleteMessages. Nothing to expire.
2010-03-17 22:23:36.419 AutoExpire: Adding Programs to 'Do Not Expire' List

Not sure if that is what you are after, but I can post the log if desired.

comment:9 in reply to:  8 Changed 10 years ago by Jonathan Martens <jonathan@…>

Replying to Jonathan Martens <jonathan@…>:

Replying to Jonathan Martens <jonathan@…>:

It happened again. I have restarted my backend with "-v file" and will post the logs later on.

Until now I recently see things like this:

s/recently/frequently

comment:10 Changed 10 years ago by robertm

Status: infoneeded_newnew

comment:11 Changed 10 years ago by danielk

Owner: changed from Isaac Richards to stuartm
Status: newassigned

Assigning to stuartm since he has been corresponding with the reporter and probably has more of an inkling of what could be wrong than anyone else.

comment:12 Changed 10 years ago by Duncan <roach@…>

I can confirm this is occuring on 0.23 fixes.

Asked on #mythtv-users, the advice was to exclude the issue of 0 byte database entries in recorded created by a failure to tune on one particular tuner I have. These files did not exist on the filesystem and were touched.

Since then I still see the inconsistency in the mythbackend --printexpire output, here Masterchef is due to expire before the oldest recording.

Masterchef Australia: "Tuesday - Week 6 1425 MB Tue May 25 19:30:00 2010 [ 1] rage 1679 MB Sat Mar 13 05:00:00 2010 [ 5]

Nothing set for maxepisodes. mysql> select title, autoexpire, maxepisodes, recpriority from record where title = "Masterchef Australia"; +----------------------+------------+-------------+-------------+ | title | autoexpire | maxepisodes | recpriority | +----------------------+------------+-------------+-------------+ | Masterchef Australia | 1 | 0 | 1 | +----------------------+------------+-------------+-------------+

comment:13 Changed 10 years ago by nick@…

I have similar symptoms:

MythTV Version : 24431 MythTV Branch : branches/release-0-23-fixes Network Protocol : 56 Library API : 0.23.20100429-1 QT Version : 4.6.2 Options compiled in:

linux debug using_oss using_alsa using_pulse using_jack using_pulseoutput using_backend using_dvb using_firewire using_frontend using_glx_proc_addr_arb using_hdhomerun using_hdpvr using_iptv using_ivtv using_joystick_menu using_libudev using_lirc using_mheg using_opengl_video using_opengl_vsync using_qtdbus using_qtwebkit using_v4l using_x11 using_xrandr using_xv using_xvmc using_xvmc_vld using_xvmcw using_bindings_perl using_bindings_python using_opengl using_vdpau using_ffmpeg_threads using_libavc_5_3 using_live using_mheg

My Setup:

  • two backends: pacifico (master) and session (slave)
  • fsID #1: pacifico:/var/lib/mythtv/recordings (NFS mounted on session as well, same location)
  • fsID #2: session:/var/lib/mythtv/livetv (NFS mounted on pacifico as well, same location)

From my master backend logs (pacifico), Myth is correctly obtaining an ordered list of files to expire, but when it cycles through to wack them (Checking...) it fails to delete all but the most recent ones!

Log Note: the first shows below are ones that have a max episodes set, and auto-expire on... so I expect them to be deleted first, but they are skipped. Then the really old shows are attempted, getting to newer and newer shows until one is eventually able to be deleted. As you can see I have shows from several months ago that it is skipping, and instead deleting shows recorded only a few days ago!

from master backend (pacifico):

Not Enough Free Space! We want 18249 MB Directories on filesystem ID 1:

pacifico:/var/lib/mythtv/recordings

Searching for files expirable in these directories

Checking 1799 @ 2010-04-13T14:00:00 => CSI: Crime Scene Investigation Checking 1128 @ 2010-05-18T16:00:00 => Hardball With Chris Matthews Checking 1760 @ 2010-05-12T22:30:00 => The Daily Show With Jon Stewart Checking 1760 @ 2010-05-12T23:00:00 => The Colbert Report Checking 1760 @ 2010-05-11T18:00:00 => South Park Checking 1128 @ 2010-05-19T16:00:00 => Hardball With Chris Matthews Checking 1760 @ 2010-05-11T18:30:00 => South Park Checking 1760 @ 2010-05-11T19:30:00 => South Park Checking 1760 @ 2010-05-11T21:00:00 => South Park Checking 1707 @ 2010-04-29T18:00:00 => Life Checking 1060 @ 2010-05-13T00:00:00 => South Park Checking 1760 @ 2010-05-13T22:30:00 => The Daily Show With Jon Stewart Checking 1760 @ 2010-05-17T00:30:00 => South Park Checking 1760 @ 2010-05-13T23:00:00 => The Colbert Report Checking 1760 @ 2010-05-17T19:00:00 => South Park Checking 1707 @ 2010-05-09T19:00:00 => Deadliest Catch Checking 1759 @ 2010-01-13T17:00:00 => Ghost Hunters Checking 1759 @ 2010-01-13T19:00:00 => Ghost Hunters Checking 1759 @ 2010-01-20T17:00:00 => Ghost Hunters Checking 1759 @ 2010-01-20T19:00:00 => Ghost Hunters Checking 1707 @ 2010-01-20T20:00:00 => Man vs. Wild Checking 1759 @ 2010-01-27T17:00:00 => Ghost Hunters Checking 1059 @ 2010-01-27T19:00:00 => Ghost Hunters Checking 1707 @ 2010-01-27T21:00:00 => Man vs. Wild Checking 1059 @ 2010-01-27T22:00:00 => Ghost Hunters . . ~ 100 shows . Checking 1276 @ 2010-05-15T01:00:00 => History's Mysteries Checking 1276 @ 2010-05-15T10:00:00 => Rome: Rise and Fall of an Empire Checking 1276 @ 2010-05-16T07:00:00 => Haunted History Checking 2310 @ 2010-05-17T01:00:00 => American Masters FOUND file expirable. 2310 @ 2010-05-17T01:00:00 is located at /var/lib/mythtv/recordings/2310_20100517010000.mpg which is on fsID #1. Adding to deleteList. After deleting we should have 19090 MB free on this filesystem.

So... there seems to be a 3rd case in AutoExpire::ExpireRecordings? that neither ends up deleting the file, nor complaining the file could not be found:

if (dirList.contains(p->hostname + ":" + vidFile.path()))

I am guessing this is what is failing... so the file is essentially skipped and the next one is tried, over and over.

I don't know what my slave backend (session) is doing about AutoExpire? yet, I just now turned up its logging.

If this isn't the same bug, I can open a new ticket.

comment:14 in reply to:  13 Changed 10 years ago by nick@…

Replying to nick@…:

Sorry, I am not use to wiki formatting in bug report comments. Too bad I can't edit it to mark it up properly.

comment:15 Changed 10 years ago by Duncan <roach@…>

My expiry list appears to be ascendingly sorted by recpriority on the record table rather than date, where I would expect recpriority to be used for scheduling recordings not expiration.

comment:16 Changed 10 years ago by sphery

As mentioned in the first comment (from 4 months ago), above, there is a setting:

Auto Expire Method
 - Oldest Show First
 - Lowest Priority First
 - Weighted Time/Priority Combination
Method used to determine which recorded shows to delete first.  LiveTV recordings will always expire before normal recordings.

that will determine the order used to expire recordings. Duncan, it sounds like you changed the setting to "Lowest Priority First" (since it defaults to Oldest Show First). Please set this setting appropriately. mythfrontend settings, Utilities/Setup?|Setup|TV Settings|General Settings, IIRC.

Anyone who adds any comments to this ticket should specify which value is set for Auto Expire Method on the system.

comment:17 Changed 9 years ago by stuartm

Owner: changed from stuartm to sphery

comment:18 Changed 9 years ago by sphery

Priority: majorminor
Severity: highmedium

Jonathan, your log extract in comment:8 shows a list being built, but no shows being expired. Do you still have the full log from that run that you referenced? If not, I'll need to see a new, complete, -v file log showing the list being built and an incorrect/out-of-order recording being expired.

On first glance, though, it looks like your "just recorded" recordings may be marked as Watched while all your old recordings that are being expired later are not marked as Watched. You have enabled, "Watched before UNwatched: If set, programs that have been marked as watched will be expired before programs that have not been watched.", so new programs that have been watched will be expired before old programs that have not--with priority and starttime being secondary and tertiary sort criteria.

Nick, your description in comment:13 sounds like the shows that are higher in auto-expire priority order all exist on file systems (and/or hosts) other than the file system that's in use. Based on your specified configuration, it's sounds like the master backend can see recordings created by the remote backend. Can you please find out if in one of the cases where recordings seem to be expired out-of-order any of the recordings that are skipped are "owned" by the other backend (not the one that's recording) but exist on the file system to which this backend is recording?

comment:19 in reply to:  18 Changed 9 years ago by Jonathan Martens <jonathan@…>

Replying to mdean:

Jonathan, your log extract in comment:8 shows a list being built, but no shows being expired. Do you still have the full log from that run that you referenced?

No unfortunately not.

If not, I'll need to see a new, complete, -v file log showing the list being built and an incorrect/out-of-order recording being expired.

I can perhaps do so, but my system is not as full as then so it will not expire I guess, sorry for that.

On first glance, though, it looks like your "just recorded" recordings may be marked as Watched while all your old recordings that are being expired later are not marked as Watched. You have enabled, "Watched before UNwatched: If set, programs that have been marked as watched will be expired before programs that have not been watched.", so new programs that have been watched will be expired before old programs that have not--with priority and starttime being secondary and tertiary sort criteria.

OK, I will check that. Thanks for looking at the issue. I will report back if I can provide more information or a new log.

comment:20 Changed 9 years ago by stuartm

Milestone: 0.24unknown
Status: assignedinfoneeded

comment:21 Changed 9 years ago by robertm

Resolution: Invalid
Status: infoneededclosed

No response in 5 weeks.

comment:22 Changed 8 years ago by sphery

This was likely the same issue as was fixed by 928135e8 in master and 230e0a293 in fixes/0.25.

Note: See TracTickets for help on using tickets.